/*
 * @(#) $Id:  $
 *
 * Copyright 2009/2010 by sIT Solutions,
 * A-1110 Wien, Geiselbergstr.21-25.
 * All rights reserved.
 *
 */
package org.openxma.addons.ui.table.customizer.xma.server;

import javax.servlet.http.HttpSession;

import org.openxma.addons.ui.table.customizer.common.CommonUserModel;

import at.spardat.xma.session.XMASessionServer;

public class UserModelDelegate {    

    private static final String TABLECUSTOMIZER_SESSION_MODEL = "ID_TABLECUSTOMIZER_SESSION_MODEL";

    public void setUserModel(CommonUserModel userModel) {
        HttpSession httpSession = ((XMASessionServer) XMASessionServer.getXMASession()).getHttpSession();
        httpSession.setAttribute(TABLECUSTOMIZER_SESSION_MODEL, userModel);

    }

    public CommonUserModel getUserModel() {
        HttpSession httpSession = ((XMASessionServer) XMASessionServer.getXMASession()).getHttpSession();
        return (CommonUserModel) httpSession.getAttribute(TABLECUSTOMIZER_SESSION_MODEL);        
    }
    

}
